| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy Class Referenceabstract
Extended Image Processing » Image segmentation

Strategie for the selective search segmentation algorithm The class implements a generic stragery for the algorithm described in [278]. More...

`#include <opencv2/ximgproc/segmentation.hpp>`

Collaboration diagram for cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy:

## Public Member Functions
virtual float | get (int r1, int r2)=0
| Return the score between two regions (between 0 and 1)
virtual void | merge (int r1, int r2)=0
| Inform the strategy that two regions will be merged.
virtual void | setImage (InputArray img, InputArray regions, InputArray sizes, int image_id=-1)=0
| Set a initial image, with a segmentation.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Strategie for the selective search segmentation algorithm The class implements a generic stragery for the algorithm described in [278].

## Member Function Documentation

## ◆ get()

virtual float cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy::get | ( | int | r1,
|  | int | r2 )
| pure virtual

Python:
| cv.ximgproc.segmentation.SelectiveSearchSegmentationStrategy.get( | r1, r2 | ) -> | retval

Return the score between two regions (between 0 and 1)

Parameters

  r1 | The first region
  r2 | The second region

## ◆ merge()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy::merge | ( | int | r1,
|  | int | r2 )
| pure virtual

Python:
| cv.ximgproc.segmentation.SelectiveSearchSegmentationStrategy.merge( | r1, r2 | ) -> | None

Inform the strategy that two regions will be merged.

Parameters

  r1 | The first region
  r2 | The second region

## ◆ setImage()

virtual void cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy::setImage | ( | InputArray | img,
|  | InputArray | regions,
|  | InputArray | sizes,
|  | int | image_id = -1 )
| pure virtual

Python:
| cv.ximgproc.segmentation.SelectiveSearchSegmentationStrategy.setImage( | img, regions, sizes[, image_id] | ) -> | None

Set a initial image, with a segmentation.

Parameters

  img | The input image. Any number of channel can be provided
  regions | A segmentation of the image. The parameter must be the same size of img.
  sizes | The sizes of different regions
  image_id | If not set to -1, try to cache pre-computations. If the same set og (img, regions, size) is used, the image_id need to be the same.

The documentation for this class was generated from the following file:

- opencv2/ximgproc/segmentation.hpp